gf2n.h File Reference

Go to the source code of this file.

## Classes

class | PolynomialMod2
| Polynomial with Coefficients in GF(2) More...
class | PolynomialMod2::DivideByZero
| divide by zero exception More...
class | GF2NP
| GF(2^n) with Polynomial Basis. More...
class | GF2NT
| GF(2^n) with Trinomial Basis. More...
class | GF2NPP
| GF(2^n) with Pentanomial Basis. More...

## Functions

bool | operator== (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
bool | operator!= (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
bool | operator> (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
bool | operator>= (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
bool | operator< (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
bool | operator<= (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
inline ::PolynomialMod2 | operator& (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator^ (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator+ (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator- (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator* (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator/ (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator% (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
GF2NP * | BERDecodeGF2NP (BufferedTransformation &bt)
template<>
void | swap (::PolynomialMod2 &a, ::PolynomialMod2 &b)